--德州结算界面手牌标识位置
local ResultCardFlag = {
	["CardFlag"] = { x = 8, y = 8,},
}

local function GetHeldCardFlag(Axis) 
	return ResultCardFlag["CardFlag"][Axis] 
end

local LearnPublicCardsPos = {
	[0] = {x = 468, y = 1640, z = -1100, rotatex = -90},
	[1] = {x = 508, y = 1640, z = -1100, rotatex = -90},
	[2] = {x = 548, y = 1640, z = -1100, rotatex = -90},
	[3] = {x = 588, y = 1640, z = -1100, rotatex = -90},
	[4] = {x = 628, y = 1640, z = -1100, rotatex = -90},
}


local function GetLearnPublicCardsPos(i,Axis)
	return LearnPublicCardsPos[i][Axis]
end

-- 限额信息
local BetLimit = {
-- 筹码桌
[3] = {
[10000] = 2000000,
[100000] = 20000000,
[1000000] = 200000000,
[10000000] = 2000000000,
[100000000] = 20000000000,
[5000000] = 1000000000,
[50000000] = 10000000000,
},
}

local function GetBetLimit(lhs, rhs, default)
    local t1 = BetLimit[lhs]
    
    if (t1 ~= nil) then
        
        local t2 = t1[rhs]
        
        if (t2 ~= nil) then 
            return t2
        end
    end
    
    return default
end

-- 游戏内赌桌外观类型
-- 索引值与TexasHoldEm.ini中的TexasTableIndexXXX一样
-- 无配置为默认外观，1为新外观
local TableLook = {
    [448] = 1,
    [606] = 1,
    [607] = 1,
    [608] = 1,
    [609] = 1,
    [610] = 1,
    [620] = 1,


}

local function GetTableLook(index)
    local value = TableLook[index]

    if (value == nil) then
        return 0
    end

    return value
end

-- 发牌员 
local Dealer = { 
["info"] = { look = 707, scale = 1.55, x = 40, y = 50, h=500, rotatex=-90, rotatez = 0}, 
["action"] = { deal = 1072, bet = 1073, over = 1074} -- 发牌，下注、结束动作 
} 

local EffectInfo = {
	-- x、y、z：光效偏移坐标
	-- rotatex、rotatey、rotatez：光效旋转角度(弧度)
	[255] = {
		["BannerEffect"] = { x=520, z=500, y=-200, rotatex = -1.57,  },
		["ChipInEffect"] = { x=500, z=500, y=-200,  },
		["LostChipEffect"] = { x=500, z=500, y=-200,  },
		["DealtTypeEffect"] = { x=680, z=395, scale=0.8, y=-200, rotatex = -1.57 },
		["PotRaiseEffect"] = { x=350, z=350, y=-200,  },
		["ChipAppendEffect"] = { x=500, z=30,scale=0.6, y=-200, rotatex = -1.57 },
		["Arrow"] = { rotatex = -1.57, y=-200, },
		["winner"] = { rotatex = -1.57, x=520, z=500, y=-200, },

	},
	[0] = {
		["Arrow"] = {x=8, z=-140, rotatex = -1.57 },
		["card_arrowhead"]= {x=-2, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=0, z=-120,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=-2, z=-140, y=-200, rotatex = -0.57},

	},

	[1] = {
		["Arrow"] = {x=8, z=-140, rotatex = -1.57 },
		["card_arrowhead"]= {x=-11, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=230, z=-120,scale=0.8, y=-200, rotatex = -1 },
                ["Winner"] = {x=8, z=-320, y=-200, rotatex = -0.57},
	},

	[2] = {
		["Arrow"] = {x=20, z=-75, rotatex = -1.57 },
		["card_arrowhead"]= {x=-2, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=390, z=60,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=-2, z=-300, y=-200, rotatex = -0.57},

	},

	[3] = {
		["Arrow"] = {x=0, z=-100, rotatex = -1.57 },
		["card_arrowhead"]= {x=-10, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=390, z=260,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=-10, z=-300, y=-200, rotatex = -0.57},

	},
	[4] = {
		["Arrow"] = {x=0, z=-45, rotatex = -1.57 },
		["card_arrowhead"]= {x=-15, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=220, z=430,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=-15, z=-330, y=-200, rotatex = -0.57},

	},
	[5] = {
		["Arrow"] = {x=0, z=-65, rotatex = -1.57 },
		["card_arrowhead"]= {x=13, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=-150, z=460,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=13, z=-330, y=-200, rotatex = -0.57},

	},
	[6] = {
		["Arrow"] = {x=15, z=-80, rotatex = -1.57 },
		["card_arrowhead"]= {x=8, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=-370, z=330,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=8, z=-300, y=-200, rotatex = -0.57},

	},
	[7] = {
		["Arrow"] = {x=0, z=-65, rotatex = -1.57 },
		["card_arrowhead"]= {x=8, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=-400, z=80,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=8, z=-300, y=-200, rotatex = -0.57},

	},
	[8] = {
		["Arrow"] = {x=5, z=-140, rotatex = -1.57 },
		["card_arrowhead"]= {x=12, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=-250, z=-120,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=12, z=-320, y=-200, rotatex = -0.57},

	},

}


local function GetUnitEffectInfo(index, title, titleBase, key, default)
	local t1 = EffectInfo[index]

	if (t1 ~= nil) then
		local t2 = t1[title]
		local ret = nil

		if (t2 ~= nil) then
			ret = t2[key]
		end

		if (ret == nil) then
			t2 = t1[titleBase]

			if (t2 ~= nil) then
				ret = t2[key]
			end
		end

		if (ret ~= nil) then
			return ret
		end
	end

	return default
end

-- 作用：获取德州光效信息
-- 参数：
--	index：桌子索引-0~3
--	title：光效title，对应3deffect.ini
--	titleBase：title取不到值时用titleBase
--	key：键值
--	default：默认值
local function GetEffectInfo(index, title, titleBase, key, default)
	local ret = GetUnitEffectInfo(index, title, titleBase, key, nil)

	if (ret == nil) then
		ret = GetUnitEffectInfo(255, title, titleBase, key, default)
	end

	return ret
end

-- 落座玩家休闲动作 
local ChairRoleIdleAction = { 
["sit"] = {224, 225, 226, 227,}, -- 坐着随机动作配置 
["stand"] = {224, 225, 226, 227,},-- 站着随机动作配置 
} 

--落座玩家休闲动作 
local function GetChairRoleIdleAction(bstand) 
if (bstand) then 
return ChairRoleIdleAction["stand"][math.random(1,4)] 
else 
return ChairRoleIdleAction["sit"][math.random(1,4)] 
end 
end 

--落座玩家休闲动作定时器 
local function GetChairRoleIdleActionTime(Axis) 
return math.random(3,8) * 1000 
end 

-- 筹码下注
local Table = {
	NpcSofaLook = 4834,
	["TableBg"] = {"Squeezer_AdvancedBackBG", "Squeezer_AdvancedBackBG"},
	["TableBgPos"] = {x = 0, y = 0},
}

local Cards = {
--"Heart", "Spade", "Club", "Square"
	Scale = 5,
	[0] = {10079, 10080, 10081, 10082, 10083, 10084, 10085, 10086, 10087, 10088, 10089, 10090, 10078},
	[1] = {10066, 10067, 10068, 10069, 10070, 10071, 10072, 10073, 10074, 10075, 10076, 10077, 10065},
	[2] = {10092, 10093, 10094, 10095, 10096, 10097, 10098, 10099, 10100, 10101, 10102, 10103, 10091},
	[3] = {10053, 10054, 10055, 10056, 10057, 10058, 10059, 10060, 10061, 10062, 10063, 10064, 10052},
	[-1] = {10051},
}

local PublicCardsPos = {
	[0] = {x = 410, y = 1640, z = -1100, rotatex = -90},
	[1] = {x = 460, y = 1640, z = -1100, rotatex = -90},
	[2] = {x = 510, y = 1640, z = -1100, rotatex = -90},
	[3] = {x = 560, y = 1640, z = -1100, rotatex = -90},
	[4] = {x = 610, y = 1640, z = -1100, rotatex = -90},
}

local HandCardsPos = {
	[0] = {{x = 560, y = 1550, z = -900, rotatex = -130, rotatez = -90},{x = 570, y = 1550, z = -900, rotatex = -130, rotatez = -100}},
	[1] = {{x = 300, y = 1330, z = -800, rotatex = -90, rotatez = -90},{x = 310, y = 1330, z = -800, rotatex = -90, rotatez = -100}},
	[2] = {{x = 280, y = 1430, z = -900, rotatex = -90, rotatez = -90},{x = 290, y = 1430, z = -900, rotatex = -90, rotatez = -100}},
	[3] = {{x = 280, y = 1300, z = -900, rotatex = -90, rotatez = -90},{x = 290, y = 1300, z = -900, rotatex = -90, rotatez = -100}},
	[4] = {{x = 370, y = 1260, z = -900, rotatex = -90, rotatez = -90},{x = 380, y = 1260, z = -900, rotatex = -90, rotatez = -100}},
	[5] = {{x = 640, y = 1260, z = -900, rotatex = -90, rotatez = -90},{x = 650, y = 1260, z = -900, rotatex = -90, rotatez = -100}},
	[6] = {{x = 715, y = 1285, z = -900, rotatex = -90, rotatez = -90},{x = 725, y = 1285, z = -900, rotatex = -90, rotatez = -100}},
	[7] = {{x = 715, y = 1425, z = -900, rotatex = -90, rotatez = -90},{x = 725, y = 1425, z = -900, rotatex = -90, rotatez = -100}},
	[8] = {{x = 630, y = 1460, z = -900, rotatex = -90, rotatez = -90},{x = 640, y = 1460, z = -900, rotatex = -90, rotatez = -100}},
}

-- 椅子相关
local Sofa = {
    [0] = { rotatez=180},
    [1] = { rotatez=180},
    [2] = { rotatez=110},
    [3] = { rotatez=55},
    [4] = { rotatez=0},
    [5] = { rotatez=0},
    [6] = { rotatez=-55},
    [7] = { rotatez=-110},
    [8] = { rotatez=180},
    [254] = { rotatez=90},
}

-- 人物相关
local Player = {
    [0] = { rotatez=180},
    [1] = { rotatez=180},
    [2] = { rotatez=110},
    [3] = { rotatez=55},
    [4] = { rotatez=0},
    [5] = { rotatez=0},
    [6] = { rotatez=-55},
    [7] = { rotatez=-110},
    [8] = { rotatez=180},
}


-- 聊天气泡显示
local EmotionBubble = {
	--气泡背景宽度，气泡背景每行的高度，文字和背景之间的间隙宽度，气泡中字体每行间隔，文字距离背景X轴偏移，文字距离背景Y轴偏移，字体大小，字体颜色，气泡显示时间
	[0] = {bgw = 150, gaph = 16, gapw = 20, gap = 24, line = 10, wordsx = 12, wordsy = 2, fontsize = 14, fontcolor = 0xFFFFFFFF, time = 6},
}

-- 聊天气泡位置偏移
local BubbleOffset = {
	--气泡X轴偏移，气泡y轴偏移（0-8表示客户端的座位号）
	[0] = {x = 370, y = 430},
	[1] = {x = 75, y = 430},
	[2] = {x = 2, y = 320},
	[3] = {x = 2, y = 160},
	[4] = {x = 185, y = 95},
	[5] = {x = 580, y = 95},
	[6] = {x = 760, y = 160},
	[7] = {x = 830, y = 335},
	[8] = {x = 665, y = 430},
}

-- 游戏结束后隔多长时间显示结算界面，单位MS
local function GetCountSec()
	return 2500
end

local function GetPlayerActionTime(Axis)
	-- 1-开局等待动作
	if (Axis == 1) then 
		return math.random(2,7) * 10000
	end
	-- 2-非角色操作期间（等待他人出牌的时间的休闲动作）
	if (Axis == 2) then 
		return math.random(3,10) * 10000
	end
	-- 3-角色弃牌后的时间（角色弃牌后至比赛结束前）,起始时间要大于3秒
	if (Axis == 3) then 
		return math.random(4,8) * 10000
	end
end

local function GetEmotionBubble(Axis)
	return EmotionBubble[0][Axis]
end

local function GetBubbleOffset(i,Axis)
	return BubbleOffset[i][Axis]
end

local function GetNpcSofaLook()
	return Table.NpcSofaLook
end

local function GetCardScale()
	return Cards.Scale
end

local function GetCardsObj(Suit,Value)
	return Cards[Suit][Value+1]
end

local function GetPublicCardsPos(i,Axis)
	return PublicCardsPos[i][Axis]
end

--i座位id，j第几张牌
local function GetHandCardsPos(i,j,Axis)
	return HandCardsPos[i][j+1][Axis]
end

local function GetTableBg(vip)
	if (f) then 
		return Table["TableBg"][1]
	else
		return Table["TableBg"][2]
	end
end

local function GetTableBgPos(Axis)
	return Table["TableBgPos"][Axis]
end

local function GetSofaInfo(i, Axis)
    return Sofa[i][Axis]
end

local function GetPlayerInfo(i, Axis)
    return Player[i][Axis]
end

-- 发牌员 
local function GetDealerInfo(Axis) 
return Dealer["info"][Axis] 
end 

local function GetDealerAction(Axis) 
return Dealer["action"][Axis] 
end

local PropUI = {
	--总页数
	["PageMax"] = 12,
	--从赌桌内玩家头像旁边黄色人脸弹开的那个玩具对话框，只有一行的那种，长长的.它是水平方向滑动的
	--第1页
	[1] = {
		--第1页的页码
		["PageNum"] = "1/12",
		--单个道具相关的配置如下
		--第1个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为1的数据，它的价格会是data2配置的
			["PropType"] = 1,
		},
		--第2个道具
		[2] = {
			--道具类型，对应服务器cq_config表type为160027,data1为2的数据，它的价格会是data2配置的
			["PropType"] = 2,
		},
		--第3个道具
		[3] = {
			--道具类型，对应服务器cq_config表type为160027,data1为3的数据，它的价格会是data2配置的
			["PropType"] = 3,
		},
	},
	--第2页
	[2] = {
		--第2页的页码
		["PageNum"] = "2/12",		
		--第4个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为4的数据，它的价格会是data2配置的
			["PropType"] = 4,
		},
		--第5个道具
		[2] = {
			--道具类型，对应服务器cq_config表type为160027,data1为5的数据，它的价格会是data2配置的
			["PropType"] = 5,
		},
		--第6个道具
		[3] = {
			--道具类型，对应服务器cq_config表type为160027,data1为6的数据，它的价格会是data2配置的
			["PropType"] = 6,
		},		
	},
	--第3页
	[3] = {
		--第3页的页码
		["PageNum"] = "3/12",		
		--第7个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为4的数据，它的价格会是data2配置的
			["PropType"] = 7,
		},
		--第8个道具
		[2] = {
			--道具类型，对应服务器cq_config表type为160027,data1为5的数据，它的价格会是data2配置的
			["PropType"] = 8,
		},
		--第9个道具
		[3] = {
			--道具类型，对应服务器cq_config表type为160027,data1为6的数据，它的价格会是data2配置的
			["PropType"] = 9,
		},		
	},
	--第4页
	[4] = {
		--第4页的页码
		["PageNum"] = "4/12",		
		--第10个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为4的数据，它的价格会是data2配置的
			["PropType"] = 10,
		},
		--第11个道具
		[2] = {
			--道具类型，对应服务器cq_config表type为160027,data1为5的数据，它的价格会是data2配置的
			["PropType"] = 11,
		},
		--第12个道具
		[3] = {
			--道具类型，对应服务器cq_config表type为160027,data1为6的数据，它的价格会是data2配置的
			["PropType"] = 12,
		},		
	},
	--第5页
	[5] = {
		--第4页的页码
		["PageNum"] = "5/12",		
		--第13个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为4的数据，它的价格会是data2配置的
			["PropType"] = 13,
		},
		[2] = {["PropType"] = 14,},
		[3] = {["PropType"] = 15,},
		
	},
	--第6页
	[6] = {
		--第4页的页码
		["PageNum"] = "6/12",		
		--第13个道具
		[1] = {	["PropType"] = 16,},
		[2] = {	["PropType"] = 17,},
		[3] = {	["PropType"] = 18,},
		
	},
	--第7页
	[7] = {
		--第4页的页码
		["PageNum"] = "7/12",		
		--第13个道具
		[1] = {	["PropType"] = 19,},
		[2] = {	["PropType"] = 20,},
		[3] = {	["PropType"] = 21,},
		
	},
	--第8页
	[8] = {
		--第4页的页码
		["PageNum"] = "8/12",		
		--第13个道具
		[1] = {	["PropType"] = 22,},
		[2] = {	["PropType"] = 23,},
		[3] = {	["PropType"] = 24,},
		
	},
	--第9页
	[9] = {
		--第4页的页码
		["PageNum"] = "9/12",		
		--第13个道具
		[1] = {	["PropType"] = 25,},
		[2] = {	["PropType"] = 26,},
		[3] = {	["PropType"] = 27,},
		
	},
	--第10页
	[10] = {
		--第4页的页码
		["PageNum"] = "10/12",		
		--第13个道具
		[1] = {	["PropType"] = 28,},
		[2] = {	["PropType"] = 29,},
		[3] = {	["PropType"] = 30,},
		
	},
	--第11页
	[11] = {
		--第4页的页码
		["PageNum"] = "11/12",		
		--第13个道具
		[1] = {	["PropType"] = 31,},
		[2] = {	["PropType"] = 32,},
		[3] = {	["PropType"] = 33,},
		
	},
	--第12页
	[12] = {
		--第4页的页码
		["PageNum"] = "12/12",		
		--第13个道具
		[1] = {	["PropType"] = 34,},
		[2] = {	["PropType"] = 35,},
		
	},
	
}

--新德州-祝贺类道具
local NewtexasCongratulateProp = {
	--总页数
	["PageMax"] = 4,
	--第1页
	[1] = {
		--第1页的页码
		["PageNum"] = "1/4",
		--单个道具相关的配置如下
		--第1个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为3的数据，它的价格会是data2配置的
			["PropType"] = 3,
		},
		--第2个道具
		[2] = {
			--道具类型，对应服务器cq_config表type为160027,data1为4的数据，它的价格会是data2配置的
			["PropType"] = 4,
		},
		--第3个道具
		[3] = {
			--道具类型，对应服务器cq_config表type为160027,data1为5的数据，它的价格会是data2配置的
			["PropType"] = 5,
		},
		--第4个道具
		[4] = {
			--道具类型，对应服务器cq_config表type为160027,data1为6的数据，它的价格会是data2配置的
			["PropType"] = 6,
		},
		--第5个道具
		[5] = {
			--道具类型，对应服务器cq_config表type为160027,data1为7的数据，它的价格会是data2配置的
			["PropType"] = 7,
		},
		--第6个道具
		[6] = {
			--道具类型，对应服务器cq_config表type为160027,data1为8的数据，它的价格会是data2配置的
			["PropType"] = 8,
		},
		--第7个道具
		[7] = {
			--道具类型，对应服务器cq_config表type为160027,data1为9的数据，它的价格会是data2配置的
			["PropType"] = 9,
		},
		--第8个道具
		[8] = {
			--道具类型，对应服务器cq_config表type为160027,data1为11的数据，它的价格会是data2配置的
			["PropType"] = 11,
		},
	},
	--第2页
	[2] = {
		--第2页的页码
		["PageNum"] = "2/4",
		--单个道具相关的配置如下
		--第1个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为13的数据，它的价格会是data2配置的
			["PropType"] = 13,
		},
		[2] = {["PropType"] = 14,},
		[3] = {["PropType"] = 15,},
		[4] = {["PropType"] = 16,},
		[5] = {["PropType"] = 17,},
		[6] = {["PropType"] = 19,},
		[7] = {["PropType"] = 20,},
		[8] = {["PropType"] = 21,},
	},
	--第3页
	[3] = {
		--第2页的页码
		["PageNum"] = "3/4",
		--单个道具相关的配置如下
		--第1个道具
		[1] = {["PropType"] = 23,},
		[2] = {["PropType"] = 24,},
		[3] = {["PropType"] = 25,},
		[4] = {["PropType"] = 26,},
		[5] = {["PropType"] = 27,},
		[6] = {["PropType"] = 29,},
		[7] = {["PropType"] = 30,},
		[8] = {["PropType"] = 31,},
	},
	--第4页
	[4] = {
		--第2页的页码
		["PageNum"] = "4/4",
		--单个道具相关的配置如下
		--第1个道具
		[1] = {["PropType"] = 32,},
		[2] = {["PropType"] = 33,},
		[3] = {["PropType"] = 34,},
		[4] = {["PropType"] = 35,},
	},
	
}

--新德州-讥讽类道具
local NewtexasRidiculeProp = {
	--总页数
	["PageMax"] = 1,
	--第1页
	[1] = {
		--第1页的页码
		["PageNum"] = "1/1",
		--单个道具相关的配置如下
		--第1个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为1的数据，它的价格会是data2配置的
			["PropType"] = 1,
		},
		--第2个道具
		[2] = {
			--道具类型，对应服务器cq_config表type为160027,data1为2的数据，它的价格会是data2配置的
			["PropType"] = 2,
		},
		--第3个道具
		[3] = {
			--道具类型，对应服务器cq_config表type为160027,data1为10的数据，它的价格会是data2配置的
			["PropType"] = 10,
		},
		--第4个道具
		[4] = {
			--道具类型，对应服务器cq_config表type为160027,data1为12的数据，它的价格会是data2配置的
			["PropType"] = 12,
		},
		[5] = {["PropType"] = 18,},
		[6] = {["PropType"] = 22,},
		[7] = {["PropType"] = 28,},
	},
}

--owner，6682对应新德州祝贺类道具，6683对应新德州讥讽类道具，否则为外部传统桌道具
local function GetPropUI(page, index, key, owner)
	if (key == "PageNum") then
		if (owner == 6682) then
			--新德州-祝贺类道具
			return NewtexasCongratulateProp[page][key]
		elseif (owner == 6683) then
			--新德州-讥讽类道具
			return NewtexasRidiculeProp[page][key]
		end
		return PropUI[page][key]
	elseif (key == "PageMax") then
		if (owner == 6682) then
			--新德州-祝贺类道具
			return NewtexasCongratulateProp[key]
		elseif (owner == 6683) then
			--新德州-讥讽类道具
			return NewtexasRidiculeProp[key]
		end
		return PropUI[key]
	end
	
	if (owner == 6682) then
		--新德州-祝贺类道具
		return NewtexasCongratulateProp[page][index][key]
	elseif (owner == 6683) then
		--新德州-讥讽类道具
		return NewtexasRidiculeProp[page][index][key]
	end
	return PropUI[page][index][key]	
end

local PropType = {
	--道具，炸弹
	[1] = {
		--图标title
		["Icon"] = "Sqitem_ZhaPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqzha",
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_bomb.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，鸡蛋
	[2] = {
		--图标title
		["Icon"] = "Sqitem_SeggPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqegg",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_egg.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，咖啡
	[3] = {
		--图标title
		["Icon"] = "Sqitem_ScoffeePic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqcoffee",			
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_coffee.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，飞吻
	[4] = {
		--图标title
		["Icon"] = "Sqitem_SfeiPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqfei",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_kiss.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，鲜花
	[5] = {
		--图标title
		["Icon"] = "Sqitem_FlowerPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqflower",			
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_flowers.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，钞票
	[6] = {
		--图标title
		["Icon"] = "Sqitem_SmoneyPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqmoney",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_bill.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，火箭
	[7] = {
		--图标title
		["Icon"] = "Sqitem_huojianpic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "pzhd_huojian",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_rocket.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，戒指
	[8] = {
		--图标title
		["Icon"] = "Sqitem_jiezhipic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "pzhd_jiezhi",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_ring.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 5,
	},
	--道具，鸡尾酒
	[9] = {
		--图标title
		["Icon"] = "Sqitem_jiweijiupic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "pzhd_jiweijiu",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toy_cocktail.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 10,
	},
	--道具，狗
	[10] = {
		--图标title
		["Icon"] = "Sqitem_goupic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "pzhd_gou",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toy_dog.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 15,
	},
	--道具，奶茶
	[11] = {
		--图标title
		["Icon"] = "Sqitem_naichapic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "pzhd_naicha",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toy_milktea.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 20,
	},
	--道具，摩天大楼
	[12] = {
		--图标title
		["Icon"] = "Sqitem_motiandlpic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "pzhd_motiandl",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toy_building.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 25,
	},
	--道具，木头
	[13] = {
		--图标title
		["Icon"] = "Sqitem_mutoupic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "pzhd_mutou",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toy_wood.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 30,
	},
	--道具，爱心
	[14] = {
		--图标title
		["Icon"] = "xdhudong_dju1Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju1",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，对戒
	[15] = {
		--图标title
		["Icon"] = "xdhudong_dju18Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju18",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，礼盒
	[16] = {
		--图标title
		["Icon"] = "xdhudong_dju20Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju20",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，花瓶
	[17] = {
		--图标title
		["Icon"] = "xdhudong_dju5Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju5",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，扫把
	[18] = {
		--图标title
		["Icon"] = "xdhudong_dju19Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju19",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，送花
	[19] = {
		--图标title
		["Icon"] = "xdhudong_dju21Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju21",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，信封
	[20] = {
		--图标title
		["Icon"] = "xdhudong_dju2Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju2",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，心
	[21] = {
		--图标title
		["Icon"] = "xdhudong_dju22Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju22",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，炸弹2
	[22] = {
		--图标title
		["Icon"] = "xdhudong_dju17Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju17",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，足球
	[23] = {
		--图标title
		["Icon"] = "xdhudong_dju16Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju16",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，花灯
	[24] = {
		--图标title
		["Icon"] = "xdhudong_dju4Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju4",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，跑车1
	[25] = {
		--图标title
		["Icon"] = "xdhudong_dju3Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju3",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，跑车2
	[26] = {
		--图标title
		["Icon"] = "xdhudong_dju6Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju6",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，泡泡枪
	[27] = {
		--图标title
		["Icon"] = "xdhudong_dju7Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju7",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，拳套
	[28] = {
		--图标title
		["Icon"] = "xdhudong_dju8Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju8",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，热气球
	[29] = {
		--图标title
		["Icon"] = "xdhudong_dju9Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju9",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，苏打水
	[30] = {
		--图标title
		["Icon"] = "xdhudong_dju10Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju10",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，西瓜
	[31] = {
		--图标title
		["Icon"] = "xdhudong_dju11Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju11",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，饮品1
	[32] = {
		--图标title
		["Icon"] = "xdhudong_dju12Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju12",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，饮品2
	[33] = {
		--图标title
		["Icon"] = "xdhudong_dju13Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju13",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，游艇
	[34] = {
		--图标title
		["Icon"] = "xdhudong_dju14Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju14",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	--道具，钻石
	[35] = {
		--图标title
		["Icon"] = "xdhudong_dju15Pic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "xindju15",		
		--与特效匹配的音效
		["Sound"] = "",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 4000,
		--需与服务端配置一致，要跟cq_cop_itemtype表的bet_level字段所配置的值一致
		["BoYiLev"] = 1,
	},
	
}

local function GetPropType(type, key)
	if (key == "ShareCoolTime") then
		--服务端时间配置在cq_config表，type=160046，data1是冷却时间，服务端时间的单位是秒，但客户端的配置文件里的时间又是毫秒，这个要注意
		--所有道具共用冷却时间，单位毫秒。不配或配0表示道具分开算冷却时间，分开算冷却时间则以各自的CoolTime来计算时间。
		return 1000
	end
	return PropType[type][key]
end

--道具列表窗口，会出现8个桌友的人模附近
--本处用于配置人模附近道具列表
local PropDialogPos = {
	--从自己左手边开始，顺时针数，距离第1个玩家交互界面菜单里“道具”菜单项的偏移
	[1] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第2个玩家交互界面菜单里“道具”菜单项的偏移
	[2] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第3个玩家交互界面菜单里“道具”菜单项的偏移
	[3] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第4个玩家交互界面菜单里“道具”菜单项的偏移
	[4] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第5个玩家交互界面菜单里“道具”菜单项的偏移
	[5] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第6个玩家交互界面菜单里“道具”菜单项的偏移
	[6] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第7个玩家交互界面菜单里“道具”菜单项的偏移
	[7] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第8个玩家交互界面菜单里“道具”菜单项的偏移
	[8] = {
		["x"] = 0,
		["y"] = 0,
	},	
}

local function GetPropDialogPos(index, key)
	return PropDialogPos[index][key]
end

local PropMotion = {
	--道具会飞，从发送者头像，移至受击者头像，这表现持续的时间长度，单位毫秒
	--玩家被道具打到后，道具会有爆开的特效，那些特效的ini/3DEffect.ini里的Delay需要配置得跟这里一致，才能保证道具先飞，飞到之后再爆开
	["Time"] = 500,
}

local function GetPropMotion(key)
	return PropMotion[key]
end

local SoundName = {
	["texas_use_prop"] = "Sound/cop_toys_click.wav", --使用牌桌玩具按钮的音效
}

local function GetSoundName(Axis)
    return SoundName[Axis]
end

-- 获取最新的5人桌位置
local function GetNewSeatIndex(GameType,MaxPlayer, OldSeatIndex)
	--梭哈
	if GameType == 2 then
		return OldSeatIndex
	end
	
	--德州
	if MaxPlayer == 5 then
		-- 9人桌对应5人桌的朝向位置
		if OldSeatIndex == 0 then
			return 6
		elseif OldSeatIndex == 1 then
			return 7
		elseif OldSeatIndex == 2 then
			return 0
		elseif OldSeatIndex == 3 then
			return 2
		elseif OldSeatIndex == 4 then
			return 3
		end
	end
	return OldSeatIndex
end

local function GetPkData(key)
	if (key == "Speed") then
		return 40
	elseif (key == "MoveEnd") then
		return 500
	elseif (key == "Back") then
		return 30
	end
end

local function GetKillMusic(ntype)
	-- ntype为数字时，是连杀播放的音效
	if (ntype == "bg") then
		return "bg"
	elseif (ntype == 1) then
		return "Sound/cop_victories_number.wav"
	elseif (ntype == 2) then
		return "Sound/cop_victories_number.wav"
	end
	
	return "" 
end

local function GetKillEffect(num)
	if (num <= 3) then
		return "sqliansha1bg"
	elseif (num <= 6) then
		return "sqliansha2bg"
	elseif (num <= 8) then
		return "sqliansha3bg"
	end
	
	return ""
end

local MAX_TEXAS_SEAT_NUM_NINE = 9
local MAX_TEXAS_SEAT_NUM_FIVE = 5

-- 地图上座椅摆放
local ShowHandInfo = {
	-- 进入桌子的入场光效位置
	ToyFlagEnterOffsetX = 400,
	ToyFlagEnterOffsetY = 350,
	-- 拖尾光效
	ToyFlagTrailEff = "juliangguang",
}

-- 具象化数据
local ToyFlag = {
	--金币
	[0] = {
		-- 盲注
		[100000000] = {
			[0] = {
				-- 底池
				["Deposit"] = 600000000,
				-- 零部件光效
				["PartEff"] = "jufly1",
				["OffsetX"] = 100,
				["OffsetY"] = 50,
			},
			[1] = {
				-- 底池
				["Deposit"] = 900000000,
				-- 零部件光效
				["PartEff"] = "jufly2",
				["OffsetX"] = 160,
				["OffsetY"] = 50,
			},
			[2] = {
				-- 底池
				["Deposit"] = 1200000000,
				-- 零部件光效
				["PartEff"] = "jufly3",
				["OffsetX"] = 220,
				["OffsetY"] = 50,
			},
			[3] = {
				-- 底池
				["Deposit"] = 1500000000,
				-- 零部件光效
				["PartEff"] = "jufly4",
				["OffsetX"] = 280,
				["OffsetY"] = 50,
			},
			-- 获得的具象化标识互斥的每个场次都不同对应服务端cq_config160037里的data2
			["ToyFlagGet"] = {
				["Flag"] = 1,
			},
		},
	},
	--天石
	[1] = {
		-- 盲注
		[10] = {
			[0] = {
				-- 底池
				["Deposit"] = 60,
				-- 零部件光效
				["PartEff"] = "jufly1",
				["OffsetX"] = 100,
				["OffsetY"] = 50,
			},
			[1] = {
				-- 底池
				["Deposit"] = 80,
				-- 零部件光效
				["PartEff"] = "jufly2",
				["OffsetX"] = 160,
				["OffsetY"] = 50,
			},
			[2] = {
				-- 底池
				["Deposit"] = 100,
				-- 零部件光效
				["PartEff"] = "jufly3",
				["OffsetX"] = 220,
				["OffsetY"] = 50,
			},
			[3] = {
				-- 底池
				["Deposit"] = 150,
				-- 零部件光效
				["PartEff"] = "jufly4",
				["OffsetX"] = 280,
				["OffsetY"] = 50,
			},
			-- 获得的具象化标识
			["ToyFlagGet"] = {
				["Flag"] = 1,
			},
		},
	},
}

-- 具象化道具图片
local ToyFalgImg = {
	-- 马自达
	[1] = "Sqjuxian_Chebiao1Pic";
	[2] = "Sqjuxian_Chebiao2Pic";
	[3] = "Sqjuxian_Chebiao3Pic";
}

-- 具象化拖尾光效
local ToyFlagTrailEff = {
	[MAX_TEXAS_SEAT_NUM_FIVE] = {
		[0] = {
			BeginX = 470,
			BeginY = 300,
			EndX = 470,
			EndY = 500,
		},
		[1] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 150,
			EndY = 380,
		},
		[2] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 180,
			EndY = 200,
		},
		[3] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 800,
			EndY = 180,
		},
		[4] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 800,
			EndY = 380,
		},
		-- 达到筹码值拖尾光效起始位置
		["PotChgEff"] = {
			--起始位置金币的位置
			BeginX = 350,
			BeginY = 350,
			-- 左上角部件1位置
			EndX0 = 100,
			EndY0 = 40,
			-- 左上角部件2位置
			EndX1 = 150,
			EndY1 = 40,
			-- 左上角部件3位置
			EndX2 = 200,
			EndY2 = 40,
			-- 左上角部件4位置
			EndX3 = 250,
			EndY3 = 40,
		},
		-- 合成拖尾光效起始位置
		["Synthesis"] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 800,
			EndY = 20,
		},
	},
	[MAX_TEXAS_SEAT_NUM_NINE] = {
		[0] = {
			BeginX = 470,
			BeginY = 300,
			EndX = 470,
			EndY = 500,
		},
		[1] = {
			BeginX = 470,
			BeginY = 300,
			EndX = 270,
			EndY = 500,
		},
		[2] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 150,
			EndY = 380,
		},
		[3] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 180,
			EndY = 200,
		},
		[4] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 330,
			EndY = 140,
		},
		[5] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 700,
			EndY = 140,
		},
		[6] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 800,
			EndY = 180,
		},
		[7] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 800,
			EndY = 380,
		},
		[8] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 700,
			EndY = 500,
		},
		["PotChgEff"] = {
			--起始位置金币的位置
			BeginX = 350,
			BeginY = 350,
			-- 左上角部件1位置
			EndX0 = 100,
			EndY0 = 40,
			-- 左上角部件2位置
			EndX1 = 150,
			EndY1 = 40,
			-- 左上角部件3位置
			EndX2 = 200,
			EndY2 = 40,
			-- 左上角部件4位置
			EndX3 = 250,
			EndY3 = 40,
		},
		-- 自己合成拖尾光效起始位置
		["Synthesis"] = {
			BeginX = 500,
			BeginY = 300,
			EndX = 800,
			EndY = 20,
		},
	},
}

-- 获取具象化道具的图片
local function GetToyFlagImg(index)
	return ToyFalgImg[index]
end

-- 获取具象化道具标志
local function GetToyFlag(chipType, chipValue, index ,key)
	if ToyFlag[chipType] == nil or ToyFlag[chipType][chipValue] == nil or ToyFlag[chipType][chipValue][index] then
		return 0
	end
	return ToyFlag[chipType][chipValue][index][key]
end

-- 获取具象化拖尾光效偏移
local function GetToyFlagTrailEff(maxPlayer, index, key)
	if ToyFlagTrailEff[maxPlayer][index] ~=nil and ToyFlagTrailEff[maxPlayer][index][key] ~= nil then
		return ToyFlagTrailEff[maxPlayer][index][key]
	end
end

-- 获取入场的具象化车子光效偏移
local function GetToyFlagEnterEffOffset(key)
	if key == "x" then
        return ShowHandInfo.ToyFlagEnterOffsetX
    elseif key == "y" then
        return ShowHandInfo.ToyFlagEnterOffsetY
    end
    return 0
end

-- 获取拖尾光效
local function GetTrailEffect()
    return ShowHandInfo.ToyFlagTrailEff
end

--pk音效
local function GetPKSound()
	return "Sound/cop_pk.wav"
end

local T_ChipAppendEffect = {
	[0] = {
		--x,y,z,scale
		["Param"] = "0,-140,0,100",--OK
	},
	[1] = {
		["Param"] = "200,-140,0,100",--OK
	},
	[2] = {
		["Param"] = "360,-120,0,100",--OK
	},
	[3] = {
		["Param"] = "340,180,0,100",--OK
	},
	[4] = {
		["Param"] = "176,230,0,100",--OK
	},
	[5] = {
		["Param"] = "-176,230,0,100",--OK
	},
	[6] = {
		["Param"] = "-300,180,0,100",--OK
	},
	[7] = {
		["Param"] = "-350,-90,0,100",--OK
	},
	[8] = {
		["Param"] = "-160,-140,0,100",--OK
	},
}

--丢筹码，筹码滑行光效
local function GetChipAppendEffect(key, nSeatIndex, nActionType)
	--nSeatIndex为0表示正下方位置，1在0的左边，顺时针递增
	--nActionType值为1，表示Bet
	--nActionType值为2，表示Call
	--nActionType值为16，表示Raise
	--nActionType值为32，表示All-in
	if (key == "Effect") then
		if (nActionType == 1 or nActionType == 2) then
				return string.format("4chouma%d", nSeatIndex)
		elseif (nActionType == 16) then
				return string.format("8chouma%d", nSeatIndex)
		elseif (nActionType == 32) then
				return string.format("12chouma%d", nSeatIndex)
		end
	elseif (key == "Param") then
		return T_ChipAppendEffect[nSeatIndex][key]
	end
	return ""
end

local function GetCallChipClock(key, nSeatIndex, nSec)
	if (key == "EffectOffsetX") then
		return 0
	elseif (key == "EffectOffsetY") then
		return 0
	end
end

-- 清理变量释放内存
local function Unload()
	ResultCardFlag = nil
	LearnPublicCardsPos = nil
        ChairRoleIdleAction = nil 
        ChipBetLimit = nil
	EffectInfo = nil
	Table = nil 
	Cards = nil
	PublicCardsPos = nil
	HandCardsPos = nil
	Dealer = nil
	PropMotion = nil
	PropDialogPos = nil
	PropType = nil
	PropUI = nil
	SoundName = nil
	ToyFlag = nil
	ToyFlagTrailEff = nil
	T_ChipAppendEffect = nil
end

-- 通过require传给其他Lua脚本使用
local ShowHand = {
    GetHeldCardFlag = GetHeldCardFlag,
    GetLearnPublicCardsPos = GetLearnPublicCardsPos,
    GetChairRoleIdleActionTime = GetChairRoleIdleActionTime, 
    GetChairRoleIdleAction = GetChairRoleIdleAction, 
    GetBetLimit = GetBetLimit,
    GetEffectInfo = GetEffectInfo,
    GetCardScale = GetCardScale,
    GetCardsObj = GetCardsObj,
    GetHandCardsPos = GetHandCardsPos,
    GetNpcSofaLook = GetNpcSofaLook,
    GetPlayerInfo = GetPlayerInfo,
    GetPublicCardsPos = GetPublicCardsPos,
    GetSofaInfo = GetSofaInfo,
    GetTableBg = GetTableBg,
    GetTableBgPos = GetTableBgPos,
    GetEmotionBubble = GetEmotionBubble,
    GetBubbleOffset = GetBubbleOffset,
    GetPlayerActionTime = GetPlayerActionTime,
    GetCountSec = GetCountSec,
    GetDealerInfo = GetDealerInfo, 
    GetDealerAction = GetDealerAction,
    GetTableLook = GetTableLook,
	GetPropMotion = GetPropMotion,
	GetPropDialogPos = GetPropDialogPos,
	GetPropType = GetPropType,
	GetPropUI = GetPropUI,
	GetSoundName = GetSoundName,
	GetNewSeatIndex = GetNewSeatIndex,
	GetPkData = GetPkData,
	GetKillMusic = GetKillMusic,
	GetKillEffect = GetKillEffect,
	GetToyFlagImg = GetToyFlagImg,
	GetToyFlag = GetToyFlag,
	GetToyFlagTrailEff = GetToyFlagTrailEff,
	GetToyFlagEnterEffOffset = GetToyFlagEnterEffOffset,
	GetTrailEffect = GetTrailEffect,
	GetPKSound = GetPKSound,
	GetCallChipClock = GetCallChipClock,
	GetChipAppendEffect = GetChipAppendEffect,
    Unload = Unload,
}

-- C++程序使用的global函数名
ShowHand_GetHeldCardFlag = ShowHand.GetHeldCardFlag
ShowHand_GetLearnPublicCardsPos = ShowHand.GetLearnPublicCardsPos
ShowHand_GetChairRoleIdleActionTime = ShowHand.GetChairRoleIdleActionTime 
ShowHand_GetChairRoleIdleAction = ShowHand.GetChairRoleIdleAction
ShowHand_GetBetLimit = ShowHand.GetBetLimit
ShowHand_GetDealerInfo = ShowHand.GetDealerInfo
ShowHand_GetDealerAction = ShowHand.GetDealerAction
ShowHand_GetEffectInfo = ShowHand.GetEffectInfo
ShowHand_GetCardScale = ShowHand.GetCardScale
ShowHand_GetCardsObj = ShowHand.GetCardsObj
ShowHand_GetHandCardsPos = ShowHand.GetHandCardsPos
ShowHand_GetNpcSofaLook = ShowHand.GetNpcSofaLook
ShowHand_GetPlayerInfo = ShowHand.GetPlayerInfo
ShowHand_GetSofaInfo = ShowHand.GetSofaInfo
ShowHand_GetPublicCardsPos = ShowHand.GetPublicCardsPos
ShowHand_GetTableBg = ShowHand.GetTableBg
ShowHand_GetTableBgPos = ShowHand.GetTableBgPos
ShowHand_GetTableLook = ShowHand.GetTableLook
ShowHand_GetEmotionBubble = ShowHand.GetEmotionBubble
ShowHand_GetBubbleOffset = ShowHand.GetBubbleOffset
ShowHand_GetPlayerActionTime = ShowHand.GetPlayerActionTime
ShowHand_GetCountSec = ShowHand.GetCountSec
ShowHand_Unload = ShowHand.Unload
ShowHand_GetPropMotion = ShowHand.GetPropMotion
ShowHand_GetPropDialogPos = ShowHand.GetPropDialogPos
ShowHand_GetPropType = ShowHand.GetPropType
ShowHand_GetPropUI = ShowHand.GetPropUI
ShowHand_GetSoundName = ShowHand.GetSoundName
ShowHand_GetNewSeatIndex = ShowHand.GetNewSeatIndex
ShowHand_GetPkData = ShowHand.GetPkData
ShowHand_GetKillMusic = ShowHand.GetKillMusic
ShowHand_GetKillEffect = ShowHand.GetKillEffect
ShowHand_GetToyFlagImg = ShowHand.GetToyFlagImg
ShowHand_GetToyFlag = ShowHand.GetToyFlag
ShowHand_GetToyFlagTrailEff = ShowHand.GetToyFlagTrailEff
ShowHand_GetToyFlagEnterEffOffset= ShowHand.GetToyFlagEnterEffOffset
ShowHand_GetNpcTableToyFlagEff= ShowHand.GetNpcTableToyFlagEff
ShowHand_GetTrailEffect = ShowHand.GetTrailEffect
ShowHand_GetPKSound = ShowHand.GetPKSound
ShowHand_GetCallChipClock = ShowHand.GetCallChipClock
ShowHand_GetChipAppendEffect = ShowHand.GetChipAppendEffect

-- require返回值
return ShowHand
